hu.akarnokd.rxjava2.joins

## Class Pattern5<T1,T2,T3,T4,T5>

- java.lang.Object
- - hu.akarnokd.rxjava2.joins.Pattern5<T1,T2,T3,T4,T5>

Type Parameters:
  `T1` - the first value type
  `T2` - the second value type
  `T3` - the third value type
  `T4` - the fourth value type
  `T5` - the fifth value type

    public final class Pattern5<T1,T2,T3,T4,T5>
    extends java.lang.Object

Represents a join pattern over observable sequences.

### Constructor Summary

Constructors
Constructor and Description
`Pattern5(io.reactivex.Observable<T1> o1, io.reactivex.Observable<T2> o2, io.reactivex.Observable<T3> o3, io.reactivex.Observable<T4> o4, io.reactivex.Observable<T5> o5)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T6> Pattern6<T1,T2,T3,T4,T5,T6>` `and(io.reactivex.Observable<T6> other)` Creates a pattern that matches when all five observable sequences have an available element.
`<R> Plan<R>` `then(io.reactivex.functions.Function5<T1,T2,T3,T4,T5,R> selector)` Matches when all observable sequences have an available element and projects the elements by invoking the selector function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pattern5

    public Pattern5(io.reactivex.Observable<T1> o1,
                    io.reactivex.Observable<T2> o2,
                    io.reactivex.Observable<T3> o3,
                    io.reactivex.Observable<T4> o4,
                    io.reactivex.Observable<T5> o5)

### Method Detail

#### and

    public <T6> Pattern6<T1,T2,T3,T4,T5,T6> and(io.reactivex.Observable<T6> other)

Creates a pattern that matches when all five observable sequences have an available element.

Type Parameters:
  `T6` - the value type of the extra Observable
Parameters:
  `other` - Observable sequence to match with the four previous sequences.
Returns:
  Pattern object that matches when all observable sequences have an available element.

#### then

    public <R> Plan<R> then(io.reactivex.functions.Function5<T1,T2,T3,T4,T5,R> selector)

Matches when all observable sequences have an available element and projects the elements by invoking the selector function.

Type Parameters:
  `R` - the result type
Parameters:
  `selector` - the function that will be invoked for elements in the source sequences.
Returns:
  the plan for the matching
Throws:
  `java.lang.NullPointerException` - if selector is null